One delivery, with the JSON body it sends
GET
/api/v1/workspaces/{workspaceId}/webhook-endpoints/{endpointId}/deliveries/{deliveryId}
const url = 'https://api.crossmart.io/api/v1/workspaces/example/webhook-endpoints/example/deliveries/example';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/example/webhook-endpoints/example/deliveries/example \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
endpointId
required
string
deliveryId
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
Sent as the Crossmart-Delivery-Id header
string format: uuid
endpointId
required
string format: uuid
eventId
required
The event id; the same on every redelivery
string format: uuid
eventType
required
string
status
required
RETRYING: an attempt failed and another is scheduled at nextAttemptAt
string
attempts
required
Attempts made so far
number
responseStatus
required
HTTP status of the latest attempt
number
durationMs
required
number
error
required
Why the latest attempt failed
string
nextAttemptAt
required
string format: date-time
lastAttemptAt
required
string format: date-time
deliveredAt
required
string format: date-time
createdAt
required
string format: date-time
payload
required
The JSON body every attempt sends
object
id
required
The event id: deduplicate on it
string format: uuid
type
required
string
createdAt
required
When the change happened
string
workspaceId
required
string format: uuid
apiVersion
required
string
data
required
The event’s data; its shape depends on the type
object
key
additional properties
any
Example
{ "eventType": "order.created", "status": "PENDING", "payload": { "type": "order.created", "apiVersion": "v1" }}